Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStyleOptionToolBoxV2.TabPosition

    java.lang.Object
      java.lang.Enum<QStyleOptionToolBoxV2.TabPosition>
          com.trolltech.qt.gui.QStyleOptionToolBoxV2.TabPosition

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStyleOptionToolBoxV2.TabPosition>

Enclosing class:
  QStyleOptionToolBoxV2

    public static enum QStyleOptionToolBoxV2.TabPosition

extends java.lang.Enum<QStyleOptionToolBoxV2.TabPosition>
implements QtEnumerator

This enum describes tab positions relative to other tabs.

Enum Constant Summary
`Beginning` The tab is the first (i.e., top-most) tab in the toolbox.
`End` The tab is placed at the bottom of the toolbox.
`Middle` The tab is placed in the middle of the toolbox.
`OnlyOneTab` There is only one tab in the toolbox.

Method Summary
`static QStyleOptionToolBoxV2.TabPosition` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionToolBoxV2.TabPosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStyleOptionToolBoxV2.TabPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Beginning

    public static final QStyleOptionToolBoxV2.TabPosition Beginning

  The tab is the first (i.e., top-most) tab in the toolbox.

### Middle

    public static final QStyleOptionToolBoxV2.TabPosition Middle

  The tab is placed in the middle of the toolbox.

### End

    public static final QStyleOptionToolBoxV2.TabPosition End

  The tab is placed at the bottom of the toolbox.

### OnlyOneTab

    public static final QStyleOptionToolBoxV2.TabPosition OnlyOneTab

  There is only one tab in the toolbox.

Method Detail

### values

    public static final QStyleOptionToolBoxV2.TabPosition[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStyleOptionToolBoxV2.TabPosition c : QStyleOptionToolBoxV2.TabPosition.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStyleOptionToolBoxV2.TabPosition valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleOptionToolBoxV2.TabPosition resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD